Name:           purple-galago
Version:        0.5.1
Release:        3%{?dist}
Summary:        Galago feed plugin for libpurple IM clients

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.galago-project.org/news/index.php       
Source0:	http://www.galago-project.org/files/releases/source/gaim/gaim-galago-%{version}.tar.bz2
Patch0:		gaim-galago-purple.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpurple-devel
BuildRequires:	libgalago-devel >= 0.5.2
BuildRequires:  autoconf, automake, libtool, gettext-devel

Requires:	libpurple
Requires:	galago-daemon

Provides:       gaim-galago = %{version}-%{release}
Obsoletes:      gaim-galago < 0.5.1-2

%description
A plugin for the libpurple based instant messenger clients (Pidgin,
Finch, etc.) that allows it to act as a presence feed for Galago.


%prep
%setup -q -n gaim-galago-%{version}
%patch0 -p1 -b .purple


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_libdir}/purple-2/*.so


%changelog
* Fri May 18 2007 Stu Tomlinson <stu@nosnilmot.com> - 0.5.1-3
- Fix build by using patched generated files from autotools instead of
  trying to run autoreconf

* Fri May 18 2007 Stu Tomlinson <stu@nosnilmot.com> - 0.5.1-2
- Update to work with libpurple

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.
- Add version required for libgalago.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.0-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-2
- Correct URL.

* Sat Apr 22 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec.

